id: agaric_people
migration_group: agaric
label: Agaric People
source:
  plugin: d7_user
  constants:
    admin_uid: 1
destination:
  plugin: entity:node
process:
  type:
    plugin: default_value
    default_value: people
  title: name
  created: created
  status: status
  #This field is empty.
  #field_summary: field_bio/0/summary
  paragraph_bio:
    plugin: migration_lookup
    migration: agaric_people_paragraph
    source: uid
  field_body_paragraph:
    plugin: iterator
    source:
    - '@paragraph_bio'
    process:
      target_id: '0'
      target_revision_id: '1'
  # By default the admin will create the people nodes.
  uid: 'constants/admin_uid'
  field_image:
  -
    plugin: default_value
    source: picture
    default_value: null
  -
    plugin: migration_lookup
    migration: agaric_file
migration_dependencies:
  optional:
  - agaric_file

